
From: "Paul E. McKenney" <paulmck@us.ibm.com>

Add a deprecated_for_modules macro that allows symbols to be deprecated only
when used by modules, as suggested by Andrew Morton some months back.

Signed-off-by: Paul E. McKenney <paulmck@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/module.h |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN include/linux/module.h~add-deprecated_for_modules include/linux/module.h
--- 25/include/linux/module.h~add-deprecated_for_modules	2005-04-04 01:51:30.000000000 -0700
+++ 25-akpm/include/linux/module.h	2005-04-04 01:51:30.000000000 -0700
@@ -195,6 +195,12 @@ void *__symbol_get_gpl(const char *symbo
 #define EXPORT_SYMBOL_GPL(sym)					\
 	__EXPORT_SYMBOL(sym, "_gpl")
 
+#ifdef MODULE
+#define __deprecated_for_modules __deprecated
+#else
+#define __deprecated_for_modules
+#endif
+
 #endif
 
 struct module_ref
_
